%--------------------------------------------------------------------------
% Total Lagrangian Petrov Galerkin Finite Element Method
% First order conservation law for fast solid dynamics
%--------------------------------------------------------------------------
function Run_Jobs_Batch_Background(CON,DAT,GEO,FUNC,UNK,COMP,PRO)

if(CON.Restart_Run == 1)
 
    %----------------------------------------------------------------------
    % Initialisation
    %----------------------------------------------------------------------
    [FUNC,CON,DAT,GEO]            = Initialisation(FUNC,CON,DAT,GEO);

    %----------------------------------------------------------------------
    % Save file
    %----------------------------------------------------------------------
    save('Mesh.mat','CON','GEO','DAT','FUNC')
    
    %----------------------------------------------------------------------
    % Main algorithm
    %----------------------------------------------------------------------
    disp('*********************************************************************');
    disp('Petrov Galerkin Finite Element algorithm');
    disp('*********************************************************************');
    Main_Algorithm(PRO,GEO,DAT,CON,FUNC,UNK,COMP);
    
else
    
    %----------------------------------------------------------------------
    % User input parameters (from Control file)
    %----------------------------------------------------------------------
    Nstep                     = CON.Nstep;
    OutInc                    = CON.OutInc;

    %----------------------------------------------------------------------
    % load current properties and current state of variables
    %----------------------------------------------------------------------
    load('Mesh.mat')
    load('Result.mat')
    
    %----------------------------------------------------------------------
    % Redefine the parameters
    %----------------------------------------------------------------------
    CON.Nstep                 = Nstep;
    CON.OutInc                = OutInc;

    %----------------------------------------------------------------------
    % Main algorithm
    %----------------------------------------------------------------------
    disp('*********************************************************************');
    disp('Petrov Galerkin Finite Element algorithm');
    disp('*********************************************************************');
    Main_Algorithm(PRO,GEO,DAT,CON,FUNC,UNK,COMP);
    
end



end

