function [Grad0,J0gp] = Cartelementinfo(NodeE,Gradxi0,Wgp,Xelem,ielem,Grad0,J0gp)

%--------------------------------------------------------------------------
% Initiation
%--------------------------------------------------------------------------
Jacobian                        = [0 0 0;0 0 0; 0 0 0];

%--------------------------------------------------------------------------
% Loop over the number of nodes within each element
%--------------------------------------------------------------------------
for i=1:NodeE
    
    %----------------------------------------------------------------------
    % Evaluate Jacobian matrix
    %----------------------------------------------------------------------
    Jacobian                    = Jacobian + Xelem(:,i) * Gradxi0(i,:);
end

%--------------------------------------------------------------------------
% Determine elemental Jacobian
%--------------------------------------------------------------------------
det_Jacobian                   = determinant_of_a_marix(Jacobian);
J0gp(ielem)                    = det_Jacobian * Wgp;

%--------------------------------------------------------------------------
% Determine cartesian derivative of shape functions
%--------------------------------------------------------------------------
inv_Jacobian                   = Jacobian^(-1);
for i = 1:NodeE
    Grad0(i,:,ielem)   = Gradxi0(i,:) * inv_Jacobian;
end

end