%--------------------------------------------------------------------------
% Read GMesh file
%--------------------------------------------------------------------------
function [GEO,DAT] = INPUT(DAT,PRO)

%--------------------------------------------------------------------------
% Load geometry files
%--------------------------------------------------------------------------
File                  = PRO.inputfile_name;
load(File);

%--------------------------------------------------------------------------
% Grouping information
%--------------------------------------------------------------------------
GEO.X                 = GMesh.X;
GEO.Nelem             = GMesh.Nelem;           % Number of elements
GEO.Nnode             = GMesh.Nnode;           % Number of nodes
GEO.T                 = GMesh.T;               % Connectivity
GEO.Nface             = GMesh.Nface;           % Number of  boundary faces
GEO.T_B               = GMesh.T_B;             % Boundary connectivity
GEO.Bcode             = GMesh.Bcode;           % Boundary code
GEO.NodeE             = size(GEO.T,1);         % Number of nodes per element
GEO.NodeF             = size(GEO.T_B,1);       % Number of nodes per boundary face
DAT.v                 = GMesh.v;               % Velocity field
DAT.F                 = GMesh.F;               % Fibre map
DAT.H                 = GMesh.H;               % Area map
DAT.J                 = GMesh.J;               % Volume map
DAT.Eta               = GMesh.Eta;             % Entropy
DAT.Temp_R            = GMesh.Temp_R;          % Reference temperature
DAT.ExtPres           = GMesh.ExtPres;         % Pressure
DAT.TB                = GMesh.TB;              % Traction
DAT.TB_Neg            = GMesh.TB_Neg;          % Traction

end