function [UNK,COMP] = Preliminary(GEO,DAT)

%--------------------------------------------------------------------------
% Undeformed geometry and conservation variables
%--------------------------------------------------------------------------
UNK.X                                   = GEO.X;
UNK.p                                   = DAT.Den * DAT.v;
UNK.F                                   = DAT.F;
UNK.Eta                                 = DAT.Eta;

%--------------------------------------------------------------------------
% Time parameters
%--------------------------------------------------------------------------
COMP.itime                              = 0;     % Time step
COMP.itime0                             = 0;     % Time step
COMP.time                               = 0;     % Current time

%--------------------------------------------------------------------------
% Material properties
%--------------------------------------------------------------------------
COMP.mu                                 = DAT.E/2/(1 + DAT.Poisson);
COMP.lambda                             = DAT.Poisson * DAT.E/(1+DAT.Poisson)/(1-2*DAT.Poisson);
COMP.kappa                              = COMP.lambda + 2/3*COMP.mu;
COMP.irho                               = 1/DAT.Den;
COMP.up_temp                            = sqrt((COMP.lambda + 2*COMP.mu)*COMP.irho);
COMP.us_temp                            = sqrt(COMP.mu * COMP.irho);