%--------------------------------------------------------------------------
% Petrov Galerkin Finite Element Method
% First order conservation law for fast solid dynamics
% Main algorithm
%--------------------------------------------------------------------------
function Main_Algorithm(PRO,GEO,DAT,CON,FUNC,UNK,COMP)

%--------------------------------------------------------------------------
% Initiation
%--------------------------------------------------------------------------
COMP.itime0                         = COMP.itime;
COMP.t_start                        = tic;

%--------------------------------------------------------------------------
% Loop over time
%--------------------------------------------------------------------------
for i = COMP.itime0 + 1 : COMP.itime0 + CON.Nstep
    
     %----------------------------------------------------------------------
     % Assign updated time step
     %----------------------------------------------------------------------
     COMP.itime                                = i;
     
     %---------------------------------------------------------------------
     % Compute maximum wave speed
     %---------------------------------------------------------------------
     [stret]                                    = Stretch(GEO.Nnode,UNK.F);
     COMP.upmax                                 = COMP.up_temp / min(stret);
     
     %---------------------------------------------------------------------
     % Find time increment
     %---------------------------------------------------------------------
     [COMP]                                     = FUNC.dt_method(GEO,CON,COMP);

     %---------------------------------------------------------------------
     % Time integrator
     %---------------------------------------------------------------------
     [UNK,COMP]                                 = TVD_RK(UNK,COMP,GEO,FUNC,DAT);
       
    %----------------------------------------------------------------------
    % Save output files
    %----------------------------------------------------------------------
    Save_Output_Paraview(PRO,UNK,COMP,CON,FUNC,GEO,DAT,i);
    
end

end