%--------------------------------------------------------------------------
% Shock capturing operator
%--------------------------------------------------------------------------
function  [P,REta] = Shock_opeator(P,grad_normv,Grad_v,SHOCK_taup,h,cp,TOL,mu,GradJ,Eta_Prime)

%--------------------------------------------------------------------------
% Determine norm of grad_norm_v
%--------------------------------------------------------------------------
Value       = sqrt(grad_normv' * grad_normv);
REta        = [0;0;0];

if(Value*h/cp >= TOL)
        
    %----------------------------------------------------------------------
    % Find jump direction
    %----------------------------------------------------------------------
    n         = grad_normv / Value;
    n_cross_n = n * n';
    
    %----------------------------------------------------------------------
    % Modify first Piola Kirchhoff stress tensor
    %----------------------------------------------------------------------
    P         = P + SHOCK_taup * h/cp * mu *  n_cross_n * Grad_v;
     
    %----------------------------------------------------------------------
    % Add dissipation to eta conservation equation
    %----------------------------------------------------------------------
    REta      = SHOCK_taup * h * cp / Eta_Prime * GradJ;
    
    
end

end