%--------------------------------------------------------------------------
% Find maximum wave speed
%--------------------------------------------------------------------------
function [stret] = Stretch(Nnode,F_all)

%--------------------------------------------------------------------------
% Initiation
%--------------------------------------------------------------------------
stret                                     = zeros(1,Nnode);

%--------------------------------------------------------------------------
% Loop over particles
%--------------------------------------------------------------------------
for inode = 1:Nnode
    
    %----------------------------------------------------------------------
    % Extract deformation gradient
    %----------------------------------------------------------------------
    F                                      = F_all(:,:,inode);
    
    %----------------------------------------------------------------------
    % Compute Right Cauchy Green tensor
    %----------------------------------------------------------------------
    C                                      = F' * F;
    
    %----------------------------------------------------------------------
    % Eigenvalues
    %----------------------------------------------------------------------
    tmp                                    = eig(C);
    stret(inode)                           = min(sqrt(tmp));
    
end

end