%--------------------------------------------------------------------------
% Compute Pressure based upon F variable
%--------------------------------------------------------------------------
function Pressure = Compute_Pressure_based_on_F(UNK,COMP,DAT)

%--------------------------------------------------------------------------
% Extraction of F
%--------------------------------------------------------------------------
F11                              = UNK.F(1,1,:);
F12                              = UNK.F(1,2,:);
F13                              = UNK.F(1,3,:);
F21                              = UNK.F(2,1,:);
F22                              = UNK.F(2,2,:);
F23                              = UNK.F(2,3,:);
F31                              = UNK.F(3,1,:);
F32                              = UNK.F(3,2,:);
F33                              = UNK.F(3,3,:);

%--------------------------------------------------------------------------
% Jacobian computed based on deformation gradient
%--------------------------------------------------------------------------
JF                               = F11 .* (F22 .* F33 - F23 .* F32) + ...
                                   F12 .* (F23 .* F31 - F21 .* F33) + ...
                                   F13 .* (F21 .* F32 - F22 .* F31);
                        
                               
%--------------------------------------------------------------------------
% Compute pressure
%--------------------------------------------------------------------------
Pressure                         = COMP.kappa * (JF - 1);
Pressure                         = Pressure(:);

end