%--------------------------------------------------------------------------
% Plot time history of Displacement
%--------------------------------------------------------------------------
function Evolution_Displacement

%--------------------------------------------------------------------------
% Close all
%--------------------------------------------------------------------------
close all

%--------------------------------------------------------------------------
% Load result file
%--------------------------------------------------------------------------
load('Mesh.mat');

%--------------------------------------------------------------------------
% Component of displacement
%--------------------------------------------------------------------------
id  = 3;

%--------------------------------------------------------------------------
% Node id
%--------------------------------------------------------------------------
POS = find(GEO.XP(1,:) == min(GEO.XP(1,:)) & GEO.XP(2,:) == min(GEO.XP(2,:)) & GEO.XP(3,:) == max(GEO.XP(3,:)));

% %satellite
% POS = find(GEO.XP(1,:) == max(GEO.XP(1,:)));
% POS = POS(1);

Id  = POS;

%--------------------------------------------------------------------------
% Initiation
%--------------------------------------------------------------------------
k=0;

%--------------------------------------------------------------------------
% Extract momentum results
%--------------------------------------------------------------------------
% Satellite @t=15 s   --->   %235_P3   % 275_P4   %514_P5
% Twisting  @t=1  s   --->   %318_P4   % 448_P5   %551_P6
NStep = 112;    
iStep = 1;

for i=1:NStep/iStep
    
    %----------------------------------------------------------------------
    % Snapshots
    %----------------------------------------------------------------------
    k = k + 1;
    
    %----------------------------------------------------------------------
    % File name
    %----------------------------------------------------------------------
    s                        = sprintf('snapshot%010d.mat',CON.OutInc*(i-1));
    
    %----------------------------------------------------------------------
    % Load the corresponding file
    %----------------------------------------------------------------------
    load(s);
    
    %----------------------------------------------------------------------
    % Store time history of relevant variables
    %----------------------------------------------------------------------
    Velocity_History(:,k) = OUT.UNK_p(id,Id) / DAT.Den;
    Displacement_History(:,k) = OUT.UNK_X(id,Id); %- GEO.XP(id,Id);
    Time_History(k,1) = OUT.Time;
    
end

X1_4=Displacement_History(1,:);
T1_4 =Time_History;

hold off

%--------------------------------------------------------------------------
% Plot displacement
%--------------------------------------------------------------------------
figure(1)
plot(Time_History,Displacement_History(1,:),'ro-');
grid on
% hold on
% plot(Time_History,Displacement_History(2,:),'bx-');
% hold on
% plot(Time_History,Velocity_History(1,:),'r-');
% hold on
% plot(Time_History,Velocity_History(2,:),'b-');

% axis([0 0.62 -1e-12 1e-12])
% 
% set(gca,'DefaultTextInterpreter','latex','fontsize',20)
% 
% % ylabel('Horizontal displacement (m)','Interpreter','latex','FontSize',20)
% ylabel('Horizontal velocity (m/s)','Interpreter','latex','FontSize',20)
% xlabel('Time (s)','Interpreter','latex','FontSize',20)
% % h = legend('$u_X$','$u_Y$','$p_X$','$p_Y$');
% h = legend('$p_X$','$p_Y$');
% set(h,'Interpreter','latex','FontSize',20,'Location','northwest');
% grid off

end