%--------------------------------------------------------------------------
% Plot time history of entropy
%--------------------------------------------------------------------------
function Evolution_Entropy

%--------------------------------------------------------------------------
% Close all
%--------------------------------------------------------------------------
close all

%--------------------------------------------------------------------------
% Load result file
%--------------------------------------------------------------------------
load('Mesh.mat');
load('Result.mat');

%--------------------------------------------------------------------------
% Initiation
%--------------------------------------------------------------------------
k=0;
%--------------------------------------------------------------------------
% Extract momentum results
%--------------------------------------------------------------------------
NStep = 85;
iStep = 5;
Entropy_history = zeros(1,NStep/iStep);
Time_History    = zeros(1,NStep/iStep);

for i=1:NStep/iStep
    
    %----------------------------------------------------------------------
    % Snapshots
    %----------------------------------------------------------------------
    k = k + 1;
    
    %----------------------------------------------------------------------
    % File name
    %----------------------------------------------------------------------
    s                        = sprintf('snapshot%010d.mat',i-1);
    
    %----------------------------------------------------------------------
    % Load the corresponding file
    %----------------------------------------------------------------------
    load(s);
    
    %----------------------------------------------------------------------
    % Store time history of relevant variables
    %----------------------------------------------------------------------
    Entropy_history(k) = OUT.UNK_Eta' * COMP.mass;
    Time_History(k)    = OUT.Time;
end

hold off

%--------------------------------------------------------------------------
% Plot linear momentum
%--------------------------------------------------------------------------
figure(1)
plot(Time_History,Entropy_history,'ro-');
ylabel('Entropy','Interpreter','latex','FontSize',20)
xlabel('Time(s)','Interpreter','latex','FontSize',20)
h = legend('Global entropy');
set(h,'Interpreter','latex','FontSize',20);
grid off

end