%--------------------------------------------------------------------------
% Plot time history of Linear momentum
%--------------------------------------------------------------------------
function Evolution_Plastic_strain

%--------------------------------------------------------------------------
% Close all
%--------------------------------------------------------------------------
close all

%--------------------------------------------------------------------------
% Load result file
%--------------------------------------------------------------------------
load('Mesh.mat');

%--------------------------------------------------------------------------
% Initiation
%--------------------------------------------------------------------------
k=0;

%--------------------------------------------------------------------------
% Extract momentum results
%--------------------------------------------------------------------------
% id    = 1;
NStep = 296;
iStep = 1;
Plastic_strain_History = zeros(1,NStep/iStep);
POS = find(GEO.XP(1,:) == min(GEO.XP(1,:)) & GEO.XP(2,:) == min(GEO.XP(2,:)) & GEO.XP(3,:) == max(GEO.XP(3,:)));

for i=1:NStep/iStep
    
    %----------------------------------------------------------------------
    % Snapshots
    %----------------------------------------------------------------------
    k = k + 1;
    
    %----------------------------------------------------------------------
    % File name
    %----------------------------------------------------------------------
    s                        = sprintf('snapshot%010d.mat',CON.OutInc*(i-1));
    
    %----------------------------------------------------------------------
    % Load the corresponding file
    %----------------------------------------------------------------------
    load(s);
    
    %----------------------------------------------------------------------
    % Store time history of relevant variables
    %----------------------------------------------------------------------
    Plastic_strain_History(k)   = OUT.UNK_Eps(POS);
    Time_History(k,1)           = OUT.Time;
end


hold off

%--------------------------------------------------------------------------
% Plot linear momentum
%--------------------------------------------------------------------------
figure(1)
plot(Time_History,Plastic_strain_History,'ro-');
set(gca,'DefaultTextInterpreter','latex','fontsize',20)

ylabel('Plastic strain (kg.m.s$^{-1}$)','Interpreter','latex','FontSize',20)
xlabel('Time(s)','Interpreter','latex','FontSize',20)
% h = legend('Plastic_strain');
% set(h,'Interpreter','latex','FontSize',20);
grid off

end