%--------------------------------------------------------------------------
% Plot time history of Pressure
%--------------------------------------------------------------------------
function Evolution_Pressure

%--------------------------------------------------------------------------
% Close all
%--------------------------------------------------------------------------
close all

%--------------------------------------------------------------------------
% Load result file
%--------------------------------------------------------------------------
load('Mesh.mat');

%--------------------------------------------------------------------------
% Component of displacement
%--------------------------------------------------------------------------
id  = 1;

%--------------------------------------------------------------------------
% Node id
%--------------------------------------------------------------------------
POS = find(GEO.XP(1,:) == 10 & GEO.XP(2,:) == 0.2 & GEO.XP(3,:) == 0.2);
% POS = GEO.NP;


%satellite
% POS = find(GEO.XP(1,:) == max(GEO.XP(1,:)));
% POS = POS(1);


Id  = POS;
%--------------------------------------------------------------------------
% Initiation
%--------------------------------------------------------------------------
k=0;

%--------------------------------------------------------------------------
% Extract momentum results
%--------------------------------------------------------------------------
NStep = 11540;
iStep = 10;
for i=1:NStep/iStep
    
    %----------------------------------------------------------------------
    % Snapshots
    %----------------------------------------------------------------------
    k = k + 1;
    
    %----------------------------------------------------------------------
    % File name
    %----------------------------------------------------------------------
    s                        = sprintf('snapshot%010d.mat',CON.OutInc*(i-1));
    
    %----------------------------------------------------------------------
    % Load the corresponding file
    %----------------------------------------------------------------------
    load(s);
    
    %----------------------------------------------------------------------
    % Store time history of relevant variables
    %----------------------------------------------------------------------
    Pressure_History(:,k) = OUT.UNK_Pressure(id,Id);
    Time_History(k,1) = OUT.Time;
    
end

hold off

%--------------------------------------------------------------------------
% Plot Pressure
%--------------------------------------------------------------------------
figure(1)
plot(Time_History,Pressure_History(1,:),'r-');
ylabel('Pressure')
xlabel('Time')
grid off

end