%--------------------------------------------------------------------------
% Plot time history of Velocity
%--------------------------------------------------------------------------
function Evolution_Velocity

%--------------------------------------------------------------------------
% Close all
%--------------------------------------------------------------------------
close all

%--------------------------------------------------------------------------
% Load result file
%--------------------------------------------------------------------------
load('Mesh.mat');

%--------------------------------------------------------------------------
% Component of displacement
%--------------------------------------------------------------------------
id  = 2;

%--------------------------------------------------------------------------
% Node id
%--------------------------------------------------------------------------
% POS = find(GEO.XP(1,:) == min(GEO.XP(1,:)) & GEO.XP(2,:) == max(GEO.XP(2,:)) & GEO.XP(3,:) == max(GEO.XP(3,:)));

% POS = GEO.NP;


%satellite
POS = find(GEO.XP(1,:) == max(GEO.XP(1,:)));
POS = POS(1);


Id  = POS;
%--------------------------------------------------------------------------
% Initiation
%--------------------------------------------------------------------------
k=0;

%--------------------------------------------------------------------------
% Extract momentum results
%--------------------------------------------------------------------------
NStep = 2350;
iStep = 10;
for i=1:NStep/iStep
    
    %----------------------------------------------------------------------
    % Snapshots
    %----------------------------------------------------------------------
    k = k + 1;
    
    %----------------------------------------------------------------------
    % File name
    %----------------------------------------------------------------------
    s                        = sprintf('snapshot%010d.mat',CON.OutInc*(i-1));
    
    %----------------------------------------------------------------------
    % Load the corresponding file
    %----------------------------------------------------------------------
    load(s);
    
    %----------------------------------------------------------------------
    % Store time history of relevant variables
    %----------------------------------------------------------------------
    Velocity_History(:,k) = OUT.UNK_p(id,Id) / DAT.Den;
    Displacement_History(:,k) = OUT.UNK_X_Par(id,Id);
    Time_History(k,1) = OUT.Time;
    
end

p2_3=Velocity_History(1,:);
T2_3=Time_History;

hold off

%--------------------------------------------------------------------------
% Plot velocity
%--------------------------------------------------------------------------
figure(1)
plot(Time_History,Velocity_History(1,:),'ro-');

ylabel('Velocity (m/s)','Interpreter','latex','FontSize',20)
xlabel('Time (s)','Interpreter','latex','FontSize',20)
% h = legend('$p_X$','$p_Y$','$p_Z$');
% set(h,'Interpreter','latex','FontSize',20);
grid off



%--------------------------------------------------------------------------
% Plot velocity and displacement
%--------------------------------------------------------------------------
% figure(1)
% plot(Time_History,Velocity_History(1,:),'r-',Time_History,Velocity_History(2,:),'b-');
% hold on
% plot(Time_History,Velocity_History(3,:),'g-',Time_History,Displacement_History(1,:),'r--');
% hold on
% plot(Time_History,Displacement_History(2,:),'b--',Time_History,Displacement_History(3,:),'g--');
% set(gca,'DefaultTextInterpreter','latex','fontsize',20)
% 
% h=legend('${p_{XX}}$','${p_{YY}}$','${p_{ZZ}}$','${u_{XX}}$','${u_{YY}}$','${u_{ZZ}}$');
% h.Orientation = 'horizontal';
% set(h,'Interpreter','latex','FontSize',20);
% 
% ylabel('Displacement(m)-Velocity(m/s)','Interpreter','latex','FontSize',20)
% xlabel('Time(s)','Interpreter','latex','FontSize',20)
% grid off
% 
% grid off

end