%--------------------------------------------------------------------------
% Plot time history of Linear momentum
%--------------------------------------------------------------------------
function Evolution_linear_momentum

%--------------------------------------------------------------------------
% Close all
%--------------------------------------------------------------------------
close all

%--------------------------------------------------------------------------
% Load result file
%--------------------------------------------------------------------------
load('Mesh.mat');

%--------------------------------------------------------------------------
% Initiation
%--------------------------------------------------------------------------
k=0;
%--------------------------------------------------------------------------
% Extract momentum results
%--------------------------------------------------------------------------
NStep = 472;
iStep = 1;
Linear_momentum_History = zeros(3,NStep/iStep);

for i=1:NStep/iStep
    
    %----------------------------------------------------------------------
    % Snapshots
    %----------------------------------------------------------------------
    k = k + 1;
    
    %----------------------------------------------------------------------
    % File name
    %----------------------------------------------------------------------
    s                        = sprintf('snapshot%010d.mat',CON.OutInc*(i-1));
    
    %----------------------------------------------------------------------
    % Load the corresponding file
    %----------------------------------------------------------------------
    load(s);
    
    %----------------------------------------------------------------------
    % Store time history of relevant variables
    %----------------------------------------------------------------------
    for j=1:GEO.NP
    Linear_momentum_History(:,k) = Linear_momentum_History(:,k)+...
                                    OUT.UNK_p_Par(:,j)*GEO.Vol(j);
    end
    Time_History(k,1) = OUT.Time;
end



hold off

%--------------------------------------------------------------------------
% Plot linear momentum
%--------------------------------------------------------------------------
figure(1)
plot(Time_History,Linear_momentum_History(1,:),'ro-');
hold on
plot(Time_History,Linear_momentum_History(2,:),'k*-');
hold on
plot(Time_History,Linear_momentum_History(3,:),'bx-');
set(gca,'DefaultTextInterpreter','latex','fontsize',20)

ylabel('Linear Momentum (kg.m.s$^{-1}$)','Interpreter','latex','FontSize',20)
xlabel('Time(s)','Interpreter','latex','FontSize',20)
h = legend('Linear Momentum X-X','Linear Momentum Y-Y','Linear Momentum Z-Z');
set(h,'Interpreter','latex','FontSize',20);
grid off

end