%--------------------------------------------------------------------------
% Plot time history of Displacement
%--------------------------------------------------------------------------
function Regenerate_VTK_files

%--------------------------------------------------------------------------
% Close all
%--------------------------------------------------------------------------
close all

%--------------------------------------------------------------------------
% Load result file
%--------------------------------------------------------------------------
load('Mesh.mat');

%--------------------------------------------------------------------------
% Component of displacement
%--------------------------------------------------------------------------
id  = 1;

%--------------------------------------------------------------------------
% Node id
%--------------------------------------------------------------------------
% POS = find(GEO.XP(1,:) == 10 & GEO.XP(2,:) == 0.2 & GEO.XP(3,:) == 0.2);
POS = GEO.NP;
Id = POS;

%--------------------------------------------------------------------------
% Initiation
%--------------------------------------------------------------------------
k=0;

%--------------------------------------------------------------------------
% Extract momentum results
%--------------------------------------------------------------------------
NStep    = 1861;
iStep    = 1;
OUT.Time = 0;
for i=1:NStep/iStep
    
    %----------------------------------------------------------------------
    % Snapshots
    %----------------------------------------------------------------------
    k = k + 1;
    
    %----------------------------------------------------------------------
    % File name
    %----------------------------------------------------------------------
    s                        = sprintf('snapshot%010d.mat',CON.OutInc*(i-1));
    outputfile               = sprintf('SPH_Paraview%010d.vtk',i);        
    
    %----------------------------------------------------------------------
    % Load the corresponding file
    %----------------------------------------------------------------------
    load(s);
    
    %----------------------------------------------------------------------
    % Store time history of relevant variables
    %----------------------------------------------------------------------
%     [OUT]                                   = Interpolated_variables(UNK,GEO,OUT,DAT,COMP,FUNC);
    
    %----------------------------------------------------------------------
    % Output file to Paraview
    %----------------------------------------------------------------------
    COMP.time                                = OUT.Time;
    [OUT]                                    = Output_Paraview(OUT,outputfile,COMP);
    
end

end