function [GEO,DAT,FUNC] = Read_Geometry_File(FUNC,CON,DAT,PRO)

%--------------------------------------------------------------------------
% INPUT
%--------------------------------------------------------------------------
[GEO,DAT]               = INPUT(DAT,PRO);

%--------------------------------------------------------------------------
% Constitutive model
%--------------------------------------------------------------------------
% (1) Nearly incompressible neo-Hookean model {p,F}
% (2) Thermo-elasticity

switch DAT.Model

    case(1) 

        %------------------------------------------------------------------
        % Nearly incompressible neo-Hookean model {p,F}
        %------------------------------------------------------------------
        FUNC.Piola_kirchhoff                        = @Nearly_incompressible_neo_Hookean;
        FUNC.Compute_Pressure                       = @Compute_Pressure_based_on_F;
        
    case(2) 

        %------------------------------------------------------------------
        % Thermoelasticity (MR + Mie Gruneisen)
        %------------------------------------------------------------------
        FUNC.Piola_kirchhoff                        = @Thermoelasticity;
        FUNC.Compute_Pressure                       = @Compute_Pressure_based_on_F;
        
end

% %--------------------------------------------------------------------------
% % Algorithm
% % [1] Total Lagrangian
% %--------------------------------------------------------------------------
% switch CON.Algorithm
%     case(1)
%         
%         %------------------------------------------------------------------
%         % Total Lagrangian
%         %------------------------------------------------------------------
%         FUNC.RHS_Algorithm                    = @Total_Lagrangian;
%       
% end

end