%--------------------------------------------------------------------------
% Divide RHS equations by mass matrix
%--------------------------------------------------------------------------
function Vardot = Solve_System(Var,GEO,COMP)
    
%--------------------------------------------------------------------------
% Initiation
%--------------------------------------------------------------------------
Vardot                           = zeros(3,3,GEO.Nnode);

%--------------------------------------------------------------------------
% Extraction
%--------------------------------------------------------------------------
Var11                            = Var(1,1,:);
Var12                            = Var(1,2,:);
Var13                            = Var(1,3,:);
Var21                            = Var(2,1,:);
Var22                            = Var(2,2,:);
Var23                            = Var(2,3,:);
Var31                            = Var(3,1,:);
Var32                            = Var(3,2,:);
Var33                            = Var(3,3,:);

%--------------------------------------------------------------------------
% Obtain rate of unknown variables
%--------------------------------------------------------------------------
Vardot(1,1,:)                    =  Var11(:) ./ COMP.mass;
Vardot(1,2,:)                    =  Var12(:) ./ COMP.mass;
Vardot(1,3,:)                    =  Var13(:) ./ COMP.mass;
Vardot(2,1,:)                    =  Var21(:) ./ COMP.mass;
Vardot(2,2,:)                    =  Var22(:) ./ COMP.mass;
Vardot(2,3,:)                    =  Var23(:) ./ COMP.mass;
Vardot(3,1,:)                    =  Var31(:) ./ COMP.mass;
Vardot(3,2,:)                    =  Var32(:) ./ COMP.mass;
Vardot(3,3,:)                    =  Var33(:) ./ COMP.mass;

end