%--------------------------------------------------------------------------
% Tensor cross product
%--------------------------------------------------------------------------
function [C] = tensor_cross_product(A, B)

%--------------------------------------------------------------------------
% Initiation
%--------------------------------------------------------------------------
C                               = [0 0 0; 0 0 0; 0 0 0];

%--------------------------------------------------------------------------
% Tensor cross product proposed by Javier Bonet
%--------------------------------------------------------------------------
C(1,1)                          = A(2,2) * B(3,3) - A(2,3) * B(3,2) + A(3,3) * B(2,2) - A(3,2) * B(2,3);
C(1,2)                          = A(2,3) * B(3,1) - A(2,1) * B(3,3) + A(3,1) * B(2,3) - A(3,3) * B(2,1);
C(1,3)                          = A(2,1) * B(3,2) - A(2,2) * B(3,1) + A(3,2) * B(2,1) - A(3,1) * B(2,2);

C(2,1)                          = A(1,3) * B(3,2) - A(1,2) * B(3,3) + A(3,2) * B(1,3) - A(3,3) * B(1,2);
C(2,2)                          = A(3,3) * B(1,1) - A(3,1) * B(1,3) + A(1,1) * B(3,3) - A(1,3) * B(3,1);
C(2,3)                          = A(3,1) * B(1,2) - A(3,2) * B(1,1) + A(1,2) * B(3,1) - A(1,1) * B(3,2);

C(3,1)                          = A(1,2) * B(2,3) - A(1,3) * B(2,2) + A(2,3) * B(1,2) - A(2,2) * B(1,3);
C(3,2)                          = A(1,3) * B(2,1) - A(1,1) * B(2,3) + A(2,1) * B(1,3) - A(2,3) * B(1,1);
C(3,3)                          = A(1,1) * B(2,2) - A(1,2) * B(2,1) + A(2,2) * B(1,1) - A(2,1) * B(1,2);
            
end